Skip to content

/fal-ai/qwen-image-edit-plus

POST https://www.kkiai.com/fal-ai/qwen-image-edit-plus

Official documentation: https://fal.ai/models/fal-ai/qwen-image-edit-plus

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
image_sizestringOptionalImage size, enum values: square, square_hd, landscape_4_3, landscape_16_9, portrait_3_4, portrait_9_16
num_inference_stepsintegerOptional
guidance_scaleintegerOptional
num_imagesintegerOptionalNumber of images to generate, range: 1-4
enable_safety_checkerbooleanOptionalEnable safety checker, default value: true
output_formatstringOptionalOutput image format, supports: jpeg, png
image_urlsarray[string]Required
negative_promptstringOptional

Request Example

json
{
  "prompt": "Close shot portrait of a woman in front of this car on this highway",
  "image_size": "square_hd",
  "num_inference_steps": 50,
  "guidance_scale": 4,
  "num_images": 1,
  "enable_safety_checker": true,
  "output_format": "png",
  "image_urls": [
    "https://v3.fal.media/files/monkey/i3saq4bAPXSIl08nZtq9P_ec535747aefc4e31943136a6d8587075.png",
    "https://v3.fal.media/files/penguin/BCOZp6teRhSQFuOXpbBOa_da8ef9b4982347a2a62a516b737d4f21.png",
    "https://v3.fal.media/files/tiger/sCoZhBksx9DvwSR4_U3_C_3d1f581441874005908addeae9c10d0f.png"
  ],
  "negative_prompt": "blurry, ugly"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/qwen-image-edit-plus' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "Close shot portrait of a woman in front of this car on this highway",
  "image_size": "square_hd",
  "num_inference_steps": 50,
  "guidance_scale": 4,
  "num_images": 1,
  "enable_safety_checker": true,
  "output_format": "png",
  "image_urls": [
    "https://v3.fal.media/files/monkey/i3saq4bAPXSIl08nZtq9P_ec535747aefc4e31943136a6d8587075.png",
    "https://v3.fal.media/files/penguin/BCOZp6teRhSQFuOXpbBOa_da8ef9b4982347a2a62a516b737d4f21.png",
    "https://v3.fal.media/files/tiger/sCoZhBksx9DvwSR4_U3_C_3d1f581441874005908addeae9c10d0f.png"
  ],
  "negative_prompt": "blurry, ugly"
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "9c08e7d8-312c-402d-a691-c207a9cb8121",
    "response_url": "https://queue.fal.run/fal-ai/qwen-image-edit-plus/requests/9c08e7d8-312c-402d-a691-c207a9cb8121",
    "status_url": "https://queue.fal.run/fal-ai/qwen-image-edit-plus/requests/9c08e7d8-312c-402d-a691-c207a9cb8121/status",
    "cancel_url": "https://queue.fal.run/fal-ai/qwen-image-edit-plus/requests/9c08e7d8-312c-402d-a691-c207a9cb8121/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}